/*
 * Tirititran es un juego de naves en 2D ambientado en Cádiz
 * Copyright (C) 2004  Javier Pérez Pacheco
 *
 * Este juego tienen licencia Creative Commons y se permite
 * su modificacion y utilizacion libremente siempre y cuando se
 * cite al autor original y se comparta con la misma licencia.
 * No se permite su uso comercial.
 * 
 * Para mas informacion visite la web:
 * http://creativecommons.org/licenses/by-nc-sa/2.0/es/
 *
 * PROGRAMADOR
 * Javier Pérez Pacheco
 * Cadiz (Spain)
 * javi.pacheco@terra.es
 *
 * GRAFISMO Y 3D
 * Jesus Carrasco
 * Cadiz (Spain)
 * carrasco.carrasco@gmail.com
 *
 * MUSICA Y GRAFISMO
 * Shano Lores
 * Cadiz (Spain)
 * shano@mail.ono.es
 *
 */
 
 /*****************************
**
** CLASE Joystick
**
******************************/

#include "joystick.h"

 Joystick::Joystick() {
	salir = 0;
}
 

void Joystick::initJoystick () {
	
	// activa joystick	
	if (SDL_NumJoysticks() >= 1) {
		joystick = SDL_JoystickOpen(0);
		SDL_JoystickEventState (SDL_ENABLE);
	}
	
}

int Joystick::comprobarBotonJoystick(int boton) {
	if (SDL_NumJoysticks() >= 1) {
		if (SDL_JoystickGetButton(joystick, boton)) {
			return 1;
		}
	}
	return 0;
}

void Joystick::unLoadJoystick () {
	if (SDL_NumJoysticks() >= 1) {
		SDL_JoystickClose(joystick);
	}
}
